com.hazelcast.client

## Interface ClientEngine

- All Superinterfaces:
    com.hazelcast.client.impl.protocol.util.ClientMessageHandler

      @PrivateApi
      public interface ClientEngine
      extends com.hazelcast.client.impl.protocol.util.ClientMessageHandler

  The client Engine. todo: what is the purpose of the client engine.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClientEndpointCount()`
    `Map<String,String>` | `getClientStatistics()` The statistics is a String that is composed of key=value pairs separated by ',' .
    `com.hazelcast.internal.cluster.ClusterService` | `getClusterService()`
    `Config` | `getConfig()`
    `Map<ClientType,Integer>` | `getConnectedClientStats()` Returns Map which contains number of connected clients to the cluster.
    `EventService` | `getEventService()`
    `MemberImpl` | `getLocalMember()`
    `ILogger` | `getLogger(Class clazz)`
    `Address` | `getMasterAddress()`
    `String` | `getOwnerUuid(String clientUuid)`
    `IPartitionService` | `getPartitionService()`
    `ProxyService` | `getProxyService()`
    `SecurityContext` | `getSecurityContext()`
    `SerializationService` | `getSerializationService()` Returns the SerializationService.
    `Address` | `getThisAddress()`
    `String` | `getThisUuid()`

    - ### Methods inherited from interface com.hazelcast.client.impl.protocol.util.ClientMessageHandler

      `handle`

- - ### Method Detail

    - #### getClientEndpointCount

          int getClientEndpointCount()

    - #### getPartitionService

          IPartitionService getPartitionService()

    - #### getClusterService

          com.hazelcast.internal.cluster.ClusterService getClusterService()

    - #### getEventService

          EventService getEventService()

    - #### getProxyService

          ProxyService getProxyService()

    - #### getConfig

          Config getConfig()

    - #### getLogger

          ILogger getLogger(Class clazz)

    - #### getMasterAddress

          Address getMasterAddress()

    - #### getThisAddress

          Address getThisAddress()

    - #### getThisUuid

          String getThisUuid()

    - #### getLocalMember

          MemberImpl getLocalMember()

    - #### getSecurityContext

          SecurityContext getSecurityContext()

    - #### getSerializationService

          SerializationService getSerializationService()

      Returns the SerializationService.
      Returns:
        the SerializationService

    - #### getConnectedClientStats

          Map<ClientType,Integer> getConnectedClientStats()

      Returns Map which contains number of connected clients to the cluster. The returned map can be used to get information about connected clients to the cluster.
      Returns:
        Map .

    - #### getClientStatistics

          Map<String,String> getClientStatistics()

      The statistics is a String that is composed of key=value pairs separated by ',' . The following characters are escaped in IMap and ICache names by the escape character '\' : '=' '.' ',' '\' The statistics key identify the category and name of the statistics. It is formatted as: mainCategory.subCategory.statisticName An e.g. Operating system committedVirtualMemorySize path would be: os.committedVirtualMemorySize The statistics key names can be one of the following (Used IMap named and ICache Named and assuming that the Near Cache is configured): clientType clusterConnectionTimestamp credentials.principal clientAddress clientName enterprise lastStatisticsCollectionTime nearcache..creationTime nearcache..evictions nearcache..expirations nearcache..hits nearcache..lastPersistenceDuration nearcache..lastPersistenceFailure nearcache..lastPersistenceKeyCount nearcache..lastPersistenceTime nearcache..lastPersistenceWrittenBytes nearcache..misses nearcache..ownedEntryCount nearcache..ownedEntryMemoryCost nearcache.hz/.creationTime nearcache.hz/.evictions nearcache.hz/.expirations nearcache.hz/.hits nearcache.hz/.lastPersistenceDuration nearcache.hz/.lastPersistenceFailure nearcache.hz/.lastPersistenceKeyCount nearcache.hz/.lastPersistenceTime nearcache.hz/.lastPersistenceWrittenBytes nearcache.hz/.misses nearcache.hz/.ownedEntryCount nearcache.hz/.ownedEntryMemoryCost os.committedVirtualMemorySize os.freePhysicalMemorySize os.freeSwapSpaceSize os.maxFileDescriptorCount os.openFileDescriptorCount os.processCpuTime os.systemLoadAverage os.totalPhysicalMemorySize os.totalSwapSpaceSize runtime.availableProcessors runtime.freeMemory runtime.maxMemory runtime.totalMemory runtime.uptime runtime.usedMemory userExecutor.queueSize Not: Please observe that the name for the ICache appears to be the hazelcast instance name "hz" followed by "/" and followed by the cache name provided which is StatTestCacheName.
      Returns:
        Map of [client UUID String, client statistics String]

    - #### getOwnerUuid

          String getOwnerUuid(String clientUuid)

Copyright © 2018. All rights reserved.